SHIVA-PROC-MIB
18 objects
No module-level DESCRIPTION found.
Imported Objects
| RFC-1212 | OBJECT-TYPE |
| RFC1155-SMI | Counter TimeTicks |
| RFC1213-MIB | -- Concise MIB Definitions DisplayString |
| SHIVA-MIB | process |
| OID | Name | Access | Status | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.1035.301.2.1 | ScalarprocMaximum | read-only | mandatory | Total number of processes allowed. |
| 1.3.6.1.4.1.1035.301.2.2 | ScalarprocCount | read-only | mandatory | Number of processes active. This is the number of entries in procTable. |
| 1.3.6.1.4.1.1035.301.2.3 | ScalarprocCreated | read-only | mandatory | Number of processes created. |
| 1.3.6.1.4.1.1035.301.2.4 | ScalarprocCreatesFailed | read-only | mandatory | Number of process creations that failed. |
| 1.3.6.1.4.1.1035.301.2.5 | ScalarprocExited | read-only | mandatory | Number of processes that exited normally. |
| 1.3.6.1.4.1.1035.301.2.6 | ScalarprocKilled | read-only | mandatory | Number of processes terminated with kill signal. |
| 1.3.6.1.4.1.1035.301.2.7 | TableprocTable | not-accessible | mandatory | A table of current process in the box. |
| 1.3.6.1.4.1.1035.301.2.7.1 | RowprocessEntry | not-accessible | mandatory | Characteristics of an active process. |
| 1.3.6.1.4.1.1035.301.2.7.1.1 | ColumnprocessID | read-only | mandatory | The unique number identifying this process. |
| 1.3.6.1.4.1.1035.301.2.7.1.2 | ColumnprocessName | read-only | mandatory | The name of the process associated with the process ID. |
| 1.3.6.1.4.1.1035.301.2.7.1.3 | ColumnprocessState | read-only | mandatory | The process state for this process. |
| 1.3.6.1.4.1.1035.301.2.7.1.4 | ColumnprocessPriority | read-only | mandatory | The process priority for this process. A higher number means a higher priority. |
| 1.3.6.1.4.1.1035.301.2.7.1.5 | ColumnprocessStackStart | read-only | mandatory | Lowest address of the process stack. |
| 1.3.6.1.4.1.1035.301.2.7.1.6 | ColumnprocessStackEnd | read-write | mandatory | The highest address of the process stack. |
| 1.3.6.1.4.1.1035.301.2.7.1.7 | ColumnprocessStackUsed | read-only | mandatory | The number of bytes of stack the process is using. |
| 1.3.6.1.4.1.1035.301.2.7.1.8 | ColumnprocessStackLength | read-only | mandatory | The number of bytes of stack available to the process. |
| 1.3.6.1.4.1.1035.301.2.7.1.9 | ColumnprocessSemaphore | read-only | mandatory | Semaphore number that the process is waiting on. Blank if none. |
| 1.3.6.1.4.1.1035.301.2.7.1.10 | ColumnprocessRuntime | read-only | mandatory | Process runtime. |